#include <iostream>
#include <bits/stdc++.h>
using namespace std;
int main()
{

    long double zbir=0,zbir1,zbir_max=0;
    long i,j,n;
    scanf("%li",&n);
    float p[n],p1[n];
    long z[n];
    int pozicija[n];
    for(i=0;i<n;i++)
    {
        scanf("%li %f",&z[i],&p[i]);
        p1[i]=p[i];
        zbir+=z[i];
    }
    sort(p,p+n);
    for(i=0;i<n;i++)
        for(j=0;j<n;j++)
        if(p1[i]==p[j])
        {
            pozicija[i]=j;
            break;
        }
    for(i=0;i<n;i++)
    {
        zbir1=zbir*(p[i]/100.0);
        zbir-=z[pozicija[i]];
        if(zbir1>zbir_max)
            zbir_max=zbir1;
    }
    printf("%Lf",zbir_max);

    return 0;
}